Skip to main content

GET /api/chain/state-machines/{slug}

  1. GET /api/chain/state-machines/:slug — metadata
MethodGET
Path/api/chain/state-machines/{slug}
Feature areaChain & state
TagChain & State
Authpublic (no key)
Tiercomputation (public)

Parameters

Path parameters

NameTypeRequiredDescription
slugstringyes

No query or header parameters are published for this operation.

Request body

This operation takes no request body.

Responses

StatusMeaning
200OK
401Missing or invalid credentials
404Not found

401 body

FieldTypeRequiredDescription
okboolean — one of falseyes
errorstringnoHuman-readable message.
codestringnoStable machine-readable code, e.g. ADMIN_REQUIRED, INVALID_ZID, ZID_NOT_LINKED.

404 body

FieldTypeRequiredDescription
okboolean — one of falseyes
errorstringnoHuman-readable message.
codestringnoStable machine-readable code, e.g. ADMIN_REQUIRED, INVALID_ZID, ZID_NOT_LINKED.

Call it

curl -sS -X GET https://zeq.me/api/chain/state-machines/your-machine

Generated from the live OpenAPI description (https://zeq.me/openapi.json, spec version 1.287.0) by scripts/generate-reference.mjs. Do not edit — this file is rewritten on every run.